Skip to main content
`Ctrl`+`K`

# PetscRandomView

Views a random number generator object.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscRandomView(PetscRandom rnd, PetscViewer viewer)

Collective

## Input Parameters

- rnd - The random number generator context

- viewer - an optional visualization context

## Note

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

## See Also

`PetscRandom`, `PetscRealView()`, `PetscScalarView()`, `PetscIntView()`

## Level

beginner

## Location

src/sys/classes/random/interface/randomc.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages